• What Android software do I need to download the PLAYR app?

    To use the PLAYR app on your Android phone, you need to have at least 5.0 software (Lollipop) or more recent.